## class OSGGL2_EXPORT PerContextShaderObj

## Inheritance:

### Public Methods

PerContextShaderObj(const ShaderObject* parent, Extensions* extensions)
PerContextShaderObj(const PerContextShaderObj& rhs)
GLhandleARB& getHandle()
bool isDirty() const
void markAsDirty()
void markAsClean()
bool build()
void attach(GLhandleARB progObj)

### Protected Fields

const ShaderObject* _parent
osg::ref_ptr<Extensions> _extensions
GLhandleARB _handle
bool _dirty

### Protected Methods

PerContextShaderObj()
~PerContextShaderObj()

## Documentation

`PerContextShaderObj(const ShaderObject* parent, Extensions* extensions)`

`PerContextShaderObj(const PerContextShaderObj& rhs)`

`GLhandleARB& getHandle()`

`bool isDirty() const`

`void markAsDirty()`

`void markAsClean()`

`bool build()`

`void attach(GLhandleARB progObj)`

`PerContextShaderObj()`

`~PerContextShaderObj()`

`const ShaderObject* _parent`

`osg::ref_ptr<Extensions> _extensions`

`GLhandleARB _handle`

`bool _dirty`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.